ApplName	 = Penguin-19
ProjDir		 = Merida:Penguin Stuff:{ApplName}-src:
IncDir		 = {ProjDir}Header:
SrcDir		 = {ProjDir}Source:
MMUDir		 = {ProjDir}MMU:
CmpDir		 = {ProjDir}Compress:
GzDir		 = {CmpDir}gz:
Bz2Dir		 = {CmpDir}bz2:
MAKEFILE     = #Penguin.make # Uncomment this line to re-make whenever the makefile is modified
Includes     = 
		-i {IncDir} -i {MMUDir} -i {CmpDir}
Sym      = 
ObjDir   = {ProjDir}Temp:
Defines	 = 

CodeModel	 = -model far
COptions     = {Defines} {Includes} {Sym} {CodeModel} -mc68020 -opt all -align power -b
AOptions	 = {Defines} {Includes} {Sym} {CodeModel} -wb

Objects  = 
		{ObjDir}bunzip2_mod.c.o 
		{ObjDir}file_mod.c.o 
		{ObjDir}gunzip_mod.c.o 
		{ObjDir}gunzip_mod_asm.a.o 
		{ObjDir}stream.c.o 
		{ObjDir}MMU030.c.o 
		{ObjDir}mmu030/040.a.o 
		{ObjDir}MMU030_asm.a.o 
		{ObjDir}MMU040.c.o 
		{ObjDir}MMU040_asm.a.o 
		{ObjDir}mmu68851.a.o 
		{ObjDir}MMUmappings.c.o 
		{ObjDir}MMU_V2.c.o 
		{ObjDir}accel_allegro.c.o 
		{ObjDir}appkill.c.o 
		{ObjDir}asm.a.o 
		{ObjDir}bootstrap.c.o 
		{ObjDir}boot_helper.c.o 
		{ObjDir}colors.c.o 
		{ObjDir}machine.c.o 
		{ObjDir}mmu_support.c.o 
		{ObjDir}new_videocard.c.o 
		{ObjDir}parse_image.c.o 
		{ObjDir}penguin.c.o 
		{ObjDir}penguin_utils.c.o 
		{ObjDir}prefs.c.o 
		{ObjDir}scsi_info.c.o

### Directory Dependancies
{ObjDir}  
	{SrcDir} 
	{MMUDir} 
	{CmpDir} 
	{GzDir} 
	{Bz2Dir}

### Suffix Dependancies
.c.o  .c
	{C} 
		{depdir}{default}.c 
		{COptions} 
		-o {targdir}{default}.c.o

.a.o  .a
	{Asm} 
		{depdir}{default}.a 
		{AOptions} 
		-o {targdir}{default}.a.o


### Main Dependancies

Penguin  {ProjDir}{ApplName}

{ProjDir}{ApplName}  {MAKEFILE} {Objects}
	iLink 
		-o {Targ} -d {Sym} 
		-t 'APPL' 
		-c 'jim' 
		-model far 
		-uf {ProjDir}DeadCode 
		-state nouse 
		{Objects} 
		{Bz2Dir}libbz2.far.o 
		"{CLibraries}StdCLib.o" 
		"{Libraries}MacRuntime.o" 
		"{Libraries}IntEnv.o" 
		"{Libraries}Interface.o"

### Resource Dependancies
{ProjDir}{ApplName}  {MAKEFILE} {SrcDir}Version.r 
						{IncDir}penguin.h
	Rez {SrcDir}Version.r -o {Targ} {Includes} -append

{ProjDir}{ApplName}  {MAKEFILE} {SrcDir}SIZE.r
	Rez {SrcDir}SIZE.r -o {Targ} -append

{ProjDir}{ApplName}  {MAKEFILE} {ObjDir}Penguin.rsrc.r
	Rez {ObjDir}Penguin.rsrc.r -o {Targ} -append

{ObjDir}Penguin.rsrc.r  {MAKEFILE} {ProjDir}Penguin.rsrc
	DeRez {ProjDir}Penguin.rsrc >{Targ}

#{ProjDir}{ApplName}  {MAKEFILE} {ObjDir}Penguin-INIT.rsrc.r
#	Rez {ObjDir}Penguin-INIT.rsrc.r -o {Targ} -append
#
#{ObjDir}Penguin-INIT.rsrc.r  {MAKEFILE} {ProjDir}Penguin-INIT.rsrc
#	DeRez {ProjDir}Penguin-INIT.rsrc >{Targ}

### Version Header

{IncDir}penguin.h  $OutOfDate # always update the version info
	echo 
		"/*n" 
		" *	penguin.hn" 
		" *	This file is automatically generated. Do not edit.n" 
		" */n" 
		"/* define the verion number, as 'vers' resource type */n" 
		"n" 
		"#define kVersMajor			0x13n" 
		"#define kVersMinor			0x00n" 
		"#define kVersStage			0x00n" 
		"#define kVersRev			0x00n" 
		"#define kVersShortString	"19"n" 
		"#define kVersLongString	"19 - Distributed under GNU General Public License"n" 
		"#define kBuildDateString	"`date -d`"n" >{targ}


### Additional Dependancies

#	Decompression
{ObjDir}bunzip2_mod.c.o  {MAKEFILE} 
			{CmpDir}stream.h

{ObjDir}file_mod.c.o  {MAKEFILE} 
			{IncDir}penguin_prototypes.h 
			{CmpDir}stream.h

{ObjDir}gunzip_mod.c.o  {MAKEFILE} 
			{GzDir}inflate.c 
			{IncDir}penguin_prototypes.h 
			{CmpDir}stream.h

{ObjDir}gunzip_mod_asm.a.o  {MAKEFILE}

{ObjDir}stream.c.o  {MAKEFILE} 
			{IncDir}penguin_prototypes.h

#	MMU
{ObjDir}MMU030.c.o  {MAKEFILE} 
			{IncDir}penguin_prototypes.h

{ObjDir}MMU030_asm.a.o  {MAKEFILE}

{ObjDir}mmu030/040.a.o  {MAKEFILE}

{ObjDir}MMU040.c.o  {MAKEFILE} 
			{IncDir}penguin_prototypes.h

{ObjDir}MMU040_asm.a.o  {MAKEFILE}

{ObjDir}mmu68851.a.o  {MAKEFILE}

{ObjDir}MMUmappings.c.o  {MAKEFILE}

{ObjDir}MMU_V2.c.o  {MAKEFILE} 
			{IncDir}penguin_prototypes.h

#	Main
{ObjDir}accel_allegro.c.o  {MAKEFILE} 
			{IncDir}penguin_prototypes.h 
			{IncDir}accel_allegro.h

{ObjDir}appkill.c.o  {MAKEFILE} 
			{IncDir}appkill_prototypes.h

{ObjDir}asm.a.o  {MAKEFILE}

{ObjDir}bootstrap.c.o  {MAKEFILE} 
			{IncDir}linux_a.out.h 
			{IncDir}asm_a.out.h 
			{IncDir}asm_page.h 
			{IncDir}linux_elf.h 
			{IncDir}asm_elf.h 
			{IncDir}asm_ptrace.h 
			{IncDir}asm_setup.h 
			{IncDir}linux_config.h 
			{IncDir}linux_autoconf.h 
			{IncDir}bootstrap_prototypes.h 
			{IncDir}appkill_prototypes.h 
			{IncDir}penguin_prototypes.h 
			{IncDir}penguin_utils.h 
			{IncDir}asm_prototypes.h 
			{IncDir}videocard_prototypes.h 
			{IncDir}colors.h 
			{IncDir}machine.h 
			{IncDir}accel_allegro.h 
			{IncDir}prefs_dialog.h

{ObjDir}boot_helper.c.o  {MAKEFILE} 
			{IncDir}linux_a.out.h 
			{IncDir}asm_a.out.h 
			{IncDir}asm_page.h 
			{IncDir}linux_elf.h 
			{IncDir}asm_elf.h 
			{IncDir}asm_ptrace.h 
			{IncDir}asm_setup.h 
			{IncDir}linux_config.h 
			{IncDir}linux_autoconf.h 
			{IncDir}bootstrap_prototypes.h 
			{IncDir}appkill_prototypes.h 
			{IncDir}penguin_prototypes.h 
			{IncDir}asm_prototypes.h 
			{IncDir}machine.h 
			{IncDir}videocard_prototypes.h

{ObjDir}colors.c.o  {MAKEFILE} 
			{IncDir}penguin_prototypes.h 
			{IncDir}colors.h

{ObjDir}machine.c.o  {MAKEFILE} 
			{IncDir}penguin_prototypes.h 
			{IncDir}penguin_utils.h 
			{IncDir}machine.h

{ObjDir}mmu_support.c.o  {MAKEFILE} 
			{IncDir}asm_page.h 
			{IncDir}asm_setup.h 
			{IncDir}linux_config.h 
			{IncDir}linux_autoconf.h 
			{IncDir}penguin_prototypes.h 
			{IncDir}bootstrap_prototypes.h 
			{IncDir}asm_a.out.h 
			{IncDir}asm_elf.h 
			{IncDir}asm_ptrace.h 
			{IncDir}linux_elf.h

{ObjDir}new_videocard.c.o  {MAKEFILE} 
			{IncDir}penguin_prototypes.h 
			{IncDir}penguin_utils.h 
			{IncDir}bootstrap_prototypes.h 
			{IncDir}asm_a.out.h 
			{IncDir}asm_elf.h 
			{IncDir}asm_ptrace.h 
			{IncDir}linux_elf.h 
			{IncDir}videocard_prototypes.h

{ObjDir}parse_image.c.o  {MAKEFILE} 
			{IncDir}linux_a.out.h 
			{IncDir}asm_a.out.h 
			{IncDir}asm_page.h 
			{IncDir}linux_elf.h 
			{IncDir}asm_elf.h 
			{IncDir}asm_ptrace.h 
			{IncDir}asm_setup.h 
			{IncDir}linux_config.h 
			{IncDir}linux_autoconf.h 
			{IncDir}bootstrap_prototypes.h 
			{IncDir}appkill_prototypes.h 
			{IncDir}penguin_prototypes.h 
			{IncDir}penguin_utils.h 
			{IncDir}prefs_prototypes.h 
			{IncDir}asm_prototypes.h 
			{IncDir}videocard_prototypes.h

{ObjDir}penguin.c.o  {MAKEFILE} 
			{IncDir}penguin.h 
			{IncDir}prefs.h 
			{IncDir}prefs_prototypes.h 
			{IncDir}penguin_prototypes.h 
			{IncDir}penguin_utils.h 
			{IncDir}bootstrap_prototypes.h 
			{IncDir}asm_a.out.h 
			{IncDir}asm_elf.h 
			{IncDir}asm_ptrace.h 
			{IncDir}linux_elf.h 
			{IncDir}scsi_info.h 
			{IncDir}machine.h

{ObjDir}penguin_utils.c.o  {MAKEFILE} 
			{IncDir}penguin_prototypes.h
			{IncDir}penguin_utils.h

{ObjDir}prefs.c.o  {MAKEFILE} 
			{IncDir}penguin_prototypes.h 
			{IncDir}penguin_utils.h 
			{IncDir}prefs.h 
			{IncDir}prefs_prototypes.h 
			{IncDir}prefs_dialog.h

{ObjDir}scsi_info.c.o  {MAKEFILE} 
			{IncDir}penguin_prototypes.h 
			{IncDir}scsi_info.h
